function [RWrel, RWmag, XRW, file_RWrel, file_RWmag, file_XRW] =  ...
   rowweight(XRW,nboxes,nlayers,nproperties,Abase,        ...
   row_beg, eqn_beg, eqn_end)

% ROWWEIGHT  Menu for defining RW
%===================================================================
% ROWWEIGHT   4.7  93/10/06   Copyright (C) Phil Morgan 1992.
%
% [RWrel, RWmag, XRW, file_RWrel, file_RWmag, file_XRW] =     ...
%   rowweight(XRW, nboxes,nlayers,nproperties,Abase,   ...
%   row_beg, eqn_beg, eqn_end)
%
% DESCRIPTION:
%    Function to input all row weight options
%
%
% AUTHOR:   Phil Morgan 92-12-15
%==================================================================


file_RWrel = [];
file_RWmag = [];
file_XRW   = [];
RWrel      = [];
RWmag      = [];
 
[mAbase,nAbase] = size(Abase);

RW_menu_stop = 0;
while RW_menu_stop == 0
    clc
    disp(' ')
    disp('----- ROW WEIGHT MENU (511) -----                          ')
    disp(' 							')
    disp('  You may select options from 3 separate actions ... ')
    disp(' 							')
    disp(' 							')
    disp('  OPTIONS FOR RELATIVE ROW WEIGHTS (RWrel):	')
    disp('      1) Set RWrel to ones     ')
    disp('      2) Set RWrel from *.m file       ')
    disp(' 							')
    disp('  OPTIONS FOR MAGNITUDE OF ROW WEIGHTS (RWmag):		') 
    disp('      3) Ones - identity ')    
    disp('      4) Normalise with layer property mean')
    disp('      5) Enter user defined RWmag from *.mat file')
    disp(' ') 				
    disp('  OPTIONS for XRW				')
    disp('      6) Reset XRW from *.m file (overrides BUILD menu)   ')
    disp('                                                          ')
    disp('      0) WEIGHTS menu      ')
    disp('         (defaults are options 1. and 3.) ')    
    disp(' 							')
    
   RW_menu_opt = input([' Select a menu number: ']);

  if     RW_menu_opt == 0
    if ~isempty(RWrel)
       RWrel = RWrel(:);  % force to column vector
       if mAbase~=length(RWrel)
          disp('RWrel does not have the correct dimensions.')
          error(['Must have ' num2str(mAbase) ' elements'])
       end %if
    end %if

    if ~isempty(RWmag)
       RWmag = RWmag(:);  % force to column vector
       if mAbase~=length(RWrel)
          disp('RWmag does not have the correct dimensions.')
          %error(['Must have ' num2str(mAbase) ' elements'])
	  disp(['Must have ' num2str(mAbase) ' elements'])
       end %if
    end %if

    XRW = XRW(:);
 
    RW_menu_stop = 1;

    
  elseif RW_menu_opt == 1
    RWrel      = ones(mAbase ,1);
    file_RWrel = 'ones';
    disp(' ')    
    disp('*** rowweight option 1 - done ***')    
    disp(' ')

    
  elseif RW_menu_opt == 2
    file_RWrel = input('What Relative row weights *.m file ? ','s');
    if exist(file_RWrel) ~= 2
       error(['RWrel mfile ' file_RWrel ' not found'])
    end %if
    eval(file_RWrel); %load in vector "RWrel"
 
    disp(' ')    
    disp('*** rowweight option 2 - done ***')
    disp(' ')

    
  elseif RW_menu_opt == 3
    file_RWmag = 'ones';
    RWmag      = ones(mAbase,1);
 
    disp(' ')    
    disp('*** rowweight option 3 - done ***')    
    disp(' ')

    
  elseif RW_menu_opt == 4
    file_RWmag = 'layer property mean';
    RWmag = layer_prop_mean(nboxes,nlayers,nproperties, ...
                            row_beg,eqn_beg,eqn_end,Abase);

    disp(' ')    
    disp('*** rowweight option 4 - done ***')
    disp(' ')

    
  elseif RW_menu_opt == 5
    file_RWmag = input('What *.mat filename for RWmag ? ','s');
    % CHECK IF FILE "filename" EXISTS.
    [file_RWmag,fileok] = validfile(file_RWmag,'.mat');
    if fileok
       disp([' Loading file {' file_RWmag '}. Please wait...'])
       [RWmag] = loadvars(file_RWmag,'RWmag');
    else
       disp([' WARNING: file {' file_RWmag '} not found.'])
    end %if
 
    disp(' ')    
    disp('*** rowweight option 5 - done ***')
    disp(' ')

    
  elseif RW_menu_opt == 6
    file_XRW = input('What XRW weights *.m file ? ','s');
    if exist(file_XRW) ~= 2
       error(['XRW weights mfile ' file_XRW ' not found'])
    end %if
    eval(file_XRW);
 
    disp(' ')
    disp('*** rowweight option 6 - done ***')
    disp(' ')
    
  end %if RW_menu_opt

end

clear RW_menu_opt RW_menu_stop
return
%--------------------------------------------------------------------
