function [A,Npts]=calcdomainarea

% [A,Npts]=calcdomainarea.m
%
% calculate the total ocean area A in the box model
% domain, and the number of 1-degree grid points
% Npts in the COADS climatology within the domain.

[lon_coads,lat_coads,lonvec,latvec,sss,index, ...
         sst,netheat,eminusp,taux,tauy]=loadcoadsyear(-99);
clear sss netheat eminusp taux tauy;
sst=mean(sst,1);
area=sw_area(lon_coads,lat_coads);

geo;
for i=1:size(geometry,1);
  eval(['load boxcoords',num2str(i)]);
  q=find(isinpoly(lonvec,latvec,lon,lat));
  sst(q)=1;
end;

q=find(sst~=1);
sst(q)=NaN;
sst2=NaN*ones(size(area));
sst2(index)=sst;
A=nansum(nansum(sst2.*area));

q=find(sst==1);
Npts=length(q);

A_domain=A;
Npts_domain=Npts;
save domainarea A_domain Npts_domain;
