% calcflux_z: calculate the overturning streamfunction
% in pressure coordinates (as opposed to the default 
% neutral density model layer coordinates)

%propnum=1;
%sectnum=1;boxnum=1;multfact=1;
%dZ=250; Z=0+dZ/2:dZ:6500;

q=find(sectlabel==sectnum);
sectname=sectfiles(sectnum,:);
for jj=1:length(sectname);
  if (strcmp(sectname(jj),'.'))
    sectname2=sectname(1:jj-1);
  end;
end;
sectname=[sectname2,'_raw'];

eval(['load ',sectname,' surf_press bottom']);
pfluxgeo=multfact*Ax(indb(1:nlayers,propnum,boxnum),indv(q)) ...
	-multfact*D(indb(1:nlayers,propnum,boxnum),indv(q));
pfluxek=multfact*EkmanE(1:nlayers,propnum,boxnum,sectnum);
% recalc on gamma2 grid
sp=NaN*ones(1,size(surf_press,2));
sp(find(surf_press(1,:)>0))=0;
surf_press=[sp;surf_press];
sp=NaN*ones(1,size(surf_press,2));
ind=find(surf_press(length(glevels),:)<bottom');
sp(ind)=bottom(ind);
surf_press=[surf_press;sp];
% interpolate to stn pairs
sp=NaN*ones(length(glayers)+1,size(surf_press,2)-1);
for i=1:size(surf_press,2)-1;
  sp(:,i)=nanmean(surf_press(:,i:i+1)')';
end;
clear surf_press;sp=round(sp);

% interpolate pfluxgeo to Z grid
pfluxgeo2=zeros(length(Z),size(sp,2));
fprintf('To %d: ',size(sp,2));
for stn=1:size(sp,2);	% march through station pairs
  fprintf('%d ',stn);
  spt=sp(:,stn);flux=pfluxgeo(:,stn);
  %sptt=spt(1:length(spt)-1)+diff(spt)/2;
  for j=1:length(glayers)
    if (flux(j))
      pp=min([spt(j) spt(j+1)]): ...
	  max([spt(j) spt(j+1)]);
      ff=flux(j)/length(pp)*ones(size(pp));
      for j2=1:length(Z);
        qq=find(pp>=(Z(j2)-dZ/2) & ...
	  pp<(Z(j2)+dZ/2));
	if (length(qq))
	  pfluxgeo2(j2,stn)=pfluxgeo2(j2,stn)+ ...
		sum(ff(qq));
        end;
      end;
    end;
  end;
end;	% loop through stn
fprintf('\n');
clear spt flux sptt pp ff;

% sum over stations
pflux=sum(pfluxgeo,2)+pfluxek;
pflux2=sum(pfluxgeo2,2);
pflux2(1)=pflux2(1)+sum(pfluxek);
% fix net flux for residuals
pflux2=pflux2*(sum(pflux)/sum(pflux2));

if (1)
  subplot(121)
  plot(flipud(cumsum(flipud(pflux)))/1e6, ...
	-(1:length(glayers)))
  grid on;
  subplot(122)
  plot(flipud(cumsum(flipud(pflux2)))/1e6,-Z)
  set(gca,'ylim',[-max(Z) 0]);
  grid on;
  pause(.1);
end;

