function checksection(sectname,refnum);

% function checksection(sectname,refnum);
%
% plot lon, lat and reference level for a section
% example: checksection('a05int',34);

clf;

%eval(['load /home/lasalle0/archive/dobox/sections/', ...
	%sectname,'_ns']);
%eval(['load /home/lasalle0/archive/dobox/sections/', ...
	%sectname,'_raw']);
eval(['load ',sectname,'_ns']);
eval(['load ',sectname,'_raw']);

if exist('time')
  fprintf('Maximum time between adjacent stations: ');
  fprintf('%3.1f days.\n',max(abs(diff(time))));
end;

if ~exist('refnum')
  refnum=34;
end;
if (range(lon)>range(lat))
  horvar=lon;
else
  horvar=lat;
end;

subplot(221);
makemap([min(lon)-10 max(lon)+10], ...
	[min(lat)-10 max(lat)+10],0,1);
hold on;
m_plot(lon,lat,'k');
hold off;
sectname2=sectname;
q=find(sectname2=='_');
for i=length(q):-1:1;
  sectname2=[sectname2(1:q(i)-1),'-', ...
	sectname2(q(i)+1:length(sectname2))];
end;
title(sectname2);
subplot(222);
pcolor2(horvar,-bin_press,bin_temp,1,20);
subplot(212);
pcolor2(horvar,-bin_press,bin_sal,2,20);
hold on;
%plot(horvar,-surf_press,'w','linewidth',.25);
plot(horvar,-surf_press(refnum,:),'k', ...
	'linewidth',2);
hold off;
titl=['Ref. level \gamma^n = ',num2str(glevels(refnum)), ...
	', mean depth ', ...
	num2str(round(nanmedian(surf_press(refnum,:)))), ...
	' m'];
title(titl);

q=find(isfinite(binPair_vel));
maxvel=max(abs(binPair_vel(q)));
fprintf('Maximum current: %5.2f m/s.\n',maxvel);

% print a warning if the section is
% zig-zagging in both latitude and
% longitude.

if (max(diff(lat))>0 & min(diff(lat))<0 & ...
	max(diff(lon))>0 & min(diff(lon))<0)
  figure;
  plot(lon,lat,lon,lat,'.k');
  disp('Warning: section is zig-zagging in both');
  disp('         latitude and longitude.');
end;
