% compairsea_socncep
%
% Compare the 1993, 1996 and 1997 integrated air-sea fluxes
% from SOC/COADS and NCEP.
%
% Calculate coefficients x1 and x2 which give the
% best fit (in a least-squares sense) to
%   F_soc=(1+x1)F_ncep + x2.

nap =[]; y =[]; A =[];

var='Fm';

plot_est=1;

if (plot_est) load eraseme x; end;
for i=1:3;
    
    if (i==1) 
        clf;
        cd 1993
    elseif (i==2)
        cd 1996
    else
        cd 1997
    end;
    subplot(3,1,i);


    load airsea1
    eval(['plot(',var,'(1,:)/1e6,''k'');']);
    hold on;
    
    load airsea_1_1 % SOC
    eval(['tF=',var,'(1,:);']);
    plot(tF/1e6);
    
    load airsea_2_1 % NCEP
    eval(['F=',var,'(1,:);']);
    plot(F/1e6,':r');
    if (plot_est)
        plot((x(1).*F+x(2)+F)/1e6,'--');
    end;
    hold off;
    xlabel('layernum')
    ylabel(' ')
    %axis([0 46 -3 15])
    
    % least-squares fit: tF=x(1)*F+x(2);
    q=find(abs(F)>.05*max(abs(F)));
    nap =[nap ;.1*abs(F(q)')];
    qq=find(nap==0);nap(qq)=.05*mean(abs(F));
    y =[y ;(tF(q)'-F(q)')];
    A =[A ;[F(q)' ones(size(F(q)'))]];
    
    
    if (i==1) 
        title('SOC/COADS: dashed.  NCEP: dotted.  Mean of two: solid')
        text(35,7,'1993','fontsize',12);
    elseif (i==2)
        text(35,7,'1996','fontsize',12);
    else
        text(35,7,'1997','fontsize',12);
    end;
    cd ..
end;

xap =[1 max(abs(F))];
Rxx=diag(xap .^2); 
Rnn=diag(nap .^2);
x =Rxx*A'*inv(A*Rxx*A'+Rnn)'*y ;
save eraseme x 
    