
% a08_con: northward fluxes across 11 S in Atlantic

% 3.4+-1 Sv AABW across A08
%  (At equator: 2.14+-1 Sv into Guiana Basin
%       [Hall, McCartney and Whitehead, 1997]
%   and 1.22+-.25 Sv through Romanche FZ
%       [Mercier and Speer, 1998].
%  NOTE: gamma>=28.13 is AABW at A08
%       (S<=34.89, theta<=1.85)

BoxNum=getboxnum(-10,-10,nboxes); % Atl, N of A8
sectlon=lon(find(sectlabel==sectname2sectnum('a08')));

sectnum=sectname2sectnum('a08');
statnum=[];
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=28.13);
fluxvalue=3.4e6;fluxerror=1e6;
addcon;

% No flow of LDW southward across 11S in eastern Atl
sectnum=sectname2sectnum('a08');
statnum=find(sectlon>=-10.5);
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=28.1);
fluxvalue=0;fluxerror=2e6;
addcon;

clear BoxNum sectlon
