
% ar18e1_con: fluxes from the Greenland and
% Iceland Seas into the North Atlantic Ocean
% (Irminger Basin).

BoxNum=getboxnum(-20,60,nboxes);

% 0.9+-0.4 Sv Irminger Current (4 degC, 35.0 psu)
% passing N, east of Den.Strait Channel
% [Stefanson, 1962; Kristmannsson et al., 1987; Maritzen, 1996].
sectnum=sectname2sectnum('ar18e1');
boxnum=BoxNum;
statnum=1:5;
propnum=1;
layernum=find(glayers<=27.604);
fluxvalue=-0.9e6;fluxerror=0.4e6;
addcon;

% 1.6+-.5 Sv polar water (theta=-1 dgC, S=34.3, layers 1-11)
% in EGC (west of Irminger Current front, i.e. pairs 7-21)
% passing S through Denmark Strait [Malmberg et al, 1972;
% Maritzen, 1996]
sectnum=sectname2sectnum('ar18e1');
boxnum=BoxNum;
statnum=7:21;
propnum=1;
layernum=find(glayers<27.604);
fluxvalue=1.6e6;fluxerror=0.5e6;
addcon;

% 2.0+-.2 Sv overflow in densest classes
% (sig_thet>=27.9; gamma>=28.1339)
% through the Denmark Strait Channel
% [Ross, 1984; Girton et al, 2001].
sectnum=sectname2sectnum('ar18e1');
boxnum=BoxNum;
statnum=[];
propnum=1;
layernum=find(glayers>28.1339);
fluxvalue=2.0e6;fluxerror=0.2e6;
addcon;

% 0.9+-.1 Sv overflow in lighter classes
% (27.8<sig_thet<27.9; 28.0103<gamma<28.1339)
% through the Denmark Strait Channel
% [Ross, 1984; Girton et al, 2001].
sectnum=sectname2sectnum('ar18e1');
boxnum=BoxNum;
statnum=[];
propnum=1;
layernum=find(glayers>28.0103 & glayers<=28.1339);
fluxvalue=0.9e6;fluxerror=0.1e6;
addcon;

clear BoxNum;
