
% ice2scot_con: fluxes from the Norwegian and
% Iceland Seas into the North Atlantic Ocean
% (Iceland Basin) across the Iceland-Scotland Ridge

BoxNum=getboxnum(-20,60,nboxes);

% 1.4+-.2 Sv overflow through FBC at sig_thet>27.975,
% gamma>28.145) [Mauritzen, 1996; Saunders, 1990;
%  Osterhus et al., 1999; Price et al., 2001]
sectnum=sectname2sectnum('ice2scot');
statnum=[];
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=28.145);
fluxvalue=1.4e6;fluxerror=.2e6;
addcon;

% -4+-.4 Sv (northward) Atlantic Water (layers 1-20) across
% Iceland-Faroe Rise (pairs 19-32) [Hansen et al 1999]
sectnum=sectname2sectnum('ice2scot');
statnum=19:32;
propnum=1;boxnum=BoxNum;
layernum=find(glayers<27.879);
fluxvalue=-4e6;fluxerror=0.4e6;
addcon;

% .85+-.3 Sv overflow across Iceland-Faroe Rise
% (includes N. Icelandic winter water and
% Arctic Intermediate Water, both 0 degC, 34.89 psu)  
% [Saunders, 1990; Maritzen, 1996].
sectnum=sectname2sectnum('ice2scot');
statnum=19:32;
propnum=1;boxnum=BoxNum;
layernum=find(glayers>=27.879);
fluxvalue=.85e6;fluxerror=0.3e6;
addcon;

% -3+-.4 Sv Norwegian Current carrying Atlantic
% SPMW (7 degC, 35.5 psu) northward between Faroes
% and Scotland (pairs 1:18) [Gould et al., 1985;
% Maritzen, 1996; Hansen et al., 1999].
sectnum=sectname2sectnum('ice2scot');
statnum=1:18;
propnum=1;boxnum=BoxNum;
layernum=find(glayers<27.879);
fluxvalue=-3e6;fluxerror=0.4e6;
addcon;

clear BoxNum;
