
% get rid of spurious southward WSBW transport
% across s4_atl
BoxNum=getboxnum(0,-56);
layernum=find(glayers>=28.27);
statnum=[];
sectnum=sectname2sectnum('s4_atl');
propnum=1;boxnum=BoxNum;
fluxvalue=3e6; fluxerror=2e6;   % matches wedsea
addcon;

BoxNum=getboxnum(0,-56);
layernum=find(glayers>=28.37);
statnum=[];
sectnum=sectname2sectnum('s4_atl');
propnum=1;boxnum=BoxNum;
fluxvalue=1e6; fluxerror=1e6;
addcon;

% Indian Ocean 32S: prior overturning similar to
%  Robbins&Toole and Bryden&Beal
disp('ADDING EXPLICIT INDIAN OCN OVERTURNING CONSTRAINT')
BoxNum=getboxnum(80,-40,nboxes); % SO, Ind sector
layernum=find(glayers>=27.84);
statnum=[];
sectnum=sectname2sectnum('i05p');
propnum=1;boxnum=BoxNum;
fluxvalue=-10.5e6;fluxerror=1e6;
addcon;

% Pacific 32S: overturning similar to 
%   Wijffels et al 2001, solution "B", but
%   tuned down to 12 Sv from 16 Sv:
%   this better matches the solution B deep water
%   export (Pac->SO), and is not as problematic
%   regarding necessary diffusion in the S. Pac.
%   (e.g. Wijffels et al. pg. 19501, Hogg reference paragraph)
disp('ADDING EXPLICIT PAC OCN OVERTURNING CONSTRAINT')
BoxNum=getboxnum(-150,-40,nboxes); % SO, Pac sector
layernum=find(glayers>=27.9 & glayers<28.125);  % "deep"
statnum=[];
sectnum=sectname2sectnum('p06');
propnum=1;boxnum=BoxNum;
fluxvalue=12e6;fluxerror=1e6;
addcon;

layernum=find(glayers>=28.125); % "bottom"
statnum=[];
sectnum=sectname2sectnum('p06');
propnum=1;boxnum=BoxNum;
fluxvalue=-12e6;fluxerror=1e6;
addcon;

