
% s4_pac_con: northward fluxes (>0) across Southern Ocean
%	section S4 (Pacific segment)

BoxNum=getboxnum(-130,-60,nboxes); % SO, Pac sector
sectlon=lon(find(sectlabel==sectname2sectnum('s4_pac')));

%%%% CFC-derived constraints from Orsi, Smethie        %%%%%
%%%%    and Bullister (JGR 107, C8, 31-1--31--8, 2002) %%%%%
if (1)

    disp('adding CFC-derived costraints on S4 (IndPac sector)')
    
    % 1.9/2 Sv AASW in Top layers, IndPac sector
    %sectnum=[sectname2sectnum('s4_pac') ...
    %    sectname2sectnum('s4_ind')];
    %statnum=[];
    %propnum=1;
    %boxnum=[getboxnum(-130,-60,nboxes) ...
    %    getboxnum(90,-60,nboxes)];
    %layernum=find(glayers>=27.7 & glayers<27.98);
    %fluxvalue=1.9e6;fluxerror=.5*fluxvalue;
    %addcon;

    % 3.6 Sv AASW and LCDW in Middle layers, IndPac sector
    sectnum=[sectname2sectnum('s4_pac') ...
        sectname2sectnum('s4_ind')];
    statnum=[];
    propnum=1;
    boxnum=[getboxnum(-130,-60,nboxes) ...
        getboxnum(90,-60,nboxes)];
    layernum=find(glayers>=27.98 & glayers<28.27);
    fluxvalue=3.6e6;fluxerror=.5*fluxvalue;
    addcon;

    % 2.1/2 Sv ShelfW + 1.1/2 Sv LCDW in Bottom layers, IndPac sector
    sectnum=[sectname2sectnum('s4_pac') ...
        sectname2sectnum('s4_ind')];
    statnum=[];
    propnum=1;
    boxnum=[getboxnum(-130,-60,nboxes) ...
        getboxnum(90,-60,nboxes)];
    layernum=find(glayers>=28.27);
    fluxvalue=3.2e6;fluxerror=.5*fluxvalue;
    addcon;
    
    
end;

clear BoxNum;
