% isolatesac.m
%
% isolate SAC climatology within 
% the inverse box model desmesne.

% load lon, lat polygon defining box
eval(['load boxcoords',num2str(boxnumber)]);

% first, chop off all data not in rectangle
% surrounding the box
wlon=min(lon)-1;elon=max(lon)+1;
nlat=max(lat)+1;slat=min(lat)-1;
tlon=find(lon_sac>=wlon & lon_sac<=elon);
tlat=find(lat_sac>=slat & lat_sac<=nlat);
temp = temp_sac(:,tlat,tlon); clear temp_sac;
salt = salt_sac(:,tlat,tlon); clear salt_sac;
gamm = gamma_sac(:,tlat,tlon); clear gamma_sac;
lon_sac = lon_sac(tlon);
lat_sac = lat_sac(tlat);
clear tlon tlat;

% define remmat, the matrix of values with
% 'NaN' where data should be removed (not in box)
Lon=lon_sac;Lat=lat_sac;
lonvec=ones(length(Lat),1)*Lon';
latvec=Lat*ones(1,length(Lon));
remmat=ones(size(lonvec));

q=~isinpoly(lonvec,latvec,lon,lat);
remmat(q)=NaN;

% now use remmat to remove values from climatology
[a,b,c]=size(temp);
for i=1:a;
  tp=reshape(temp(i,:,:),[length(lat_sac) length(lon_sac)]).*remmat;
  sp=reshape(salt(i,:,:),[length(lat_sac) length(lon_sac)]).*remmat;
  gp=reshape(gamm(i,:,:),[length(lat_sac) length(lon_sac)]).*remmat;
  temp(i,:,:)=reshape(tp,[1,b,c]);
  salt(i,:,:)=reshape(sp,[1,b,c]);
  gamm(i,:,:)=reshape(gp,[1,b,c]);
end;

tp=reshape(nanmean(temp),[length(lat_sac) length(lon_sac)]);
clf;
patchmap2(lon_sac,lat_sac,tp);
overlay
hold on;
plotsections(1,1);
hold off;
pause(.1);

clear tp sp gp a b c Lon Lat lonvec latvec;

