% make a 2D field "Coast" corresponding to
% vectors Lon, Lat which contains "1" where
% there is land, "0" where there isn't.

load coastlines
q=find(coast_x < -168 & coast_y >62 ...
	& coast_y < 69);
coast_x(q)=coast_x(q)+360;
Lon=min(coast_x):.5:max(coast_x);
Lat=min(coast_y):.5:max(coast_y);
Lonmat=ones(length(Lat),1)*Lon;
Latmat=Lat'*ones(1,length(Lon));

Coast=zeros(length(Lat),length(Lon));
q=find(isnan(coast_x+coast_y));
q=[0;q;length(coast_x)];
for i=2:length(q);
  fprintf('%d of %d\n',i-1,length(q)-1);
  a=q(i-1)+1; b=q(i)-1;
  cx=coast_x(a:20:b);
  cy=coast_y(a:20:b);
  if (i==2); 
    cx=[cx(1);cx;cx(length(cx))];
    cy=[-100;cy;-100];
  end;
  if (length(cx)>2)
    Coast=Coast+isinpoly(Lonmat,Latmat,cx,cy);
  end;
end;

q=find(~Coast);
Coast(q)=NaN;
Coast=Coast./Coast;

patchmap(Lon,Lat,Coast);

save LandMask Lon Lat Coast
