function mapaxis(varargin);

% function mapaxis([minlon maxlon minlat maxlat]);
%
% set the ticks and labels of a map to appear
% in degrees; set the aspect ratio to be
% scaled by the distance from the distances
% across the center of the lon, lat axes.

varargin=varargin{1};

if (strcmp(varargin,'off'))
  set(gca,'xtickmode','auto')
  set(gca,'ytickmode','auto')
  set(gca,'xticklabelmode','auto')
  set(gca,'yticklabelmode','auto')
else

minlon=varargin(1);
maxlon=varargin(2);
minlat=varargin(3);
maxlat=varargin(4);

% set aspect ratio
axis([minlon maxlon minlat maxlat]);
latdist=1;
londist=cos((maxlat+minlat)/2*2*pi/360);
%londist=sw_dist([(minlat+maxlat)/2 (minlat+maxlat)/2], ...
        %[minlon maxlon],'km');
%latdist=sw_dist([minlat maxlat], ...
        %[(minlon+maxlon)/2 (minlon+maxlon)/2],'km');
set(gca,'dataaspectratio', ...
        [latdist londist 1]);

% give nice labels
tiks=get(gca,'xtick');
q=find(tiks>180);
tiks(q)=tiks(q)-360;
if (size(tiks,1)>size(tiks,2))
  labs=num2str(abs(tiks));
else
  labs=num2str(abs(tiks'));
end;
labs=[labs,ones(length(tiks),2)*setstr(176)];
for i=1:size(labs,1);
  if (tiks(i)>0)
    labs(i,size(labs,2))='E';
  elseif(tiks(i)<0)
    labs(i,size(labs,2))='W';
  else
    labs(i,size(labs,2))=' ';
  end;
end;
set(gca,'xticklabel',labs);

tiks=get(gca,'ytick');
if (size(tiks,1)>size(tiks,2))
  labs=num2str(abs(tiks));
else
  labs=num2str(abs(tiks'));
end;
labs=[labs,ones(length(tiks),2)*setstr(176)];
for i=1:size(labs,1);
  if (tiks(i)>0)
    labs(i,size(labs,2))='N';
  elseif(tiks(i)<0)
    labs(i,size(labs,2))='S';
  else
    labs(i,size(labs,2))=' ';
  end;
end;
set(gca,'yticklabel',labs);

set(gca,'layer','top');

end;	% if varagin~="off"
