function overlaysections(cart)

% function overlaysections(cart)
%
% Plot all the sections in file "geo.m",
% adding labels giving the section names.
% If cart=1 (default=0), plot in cartesian
% coords (i.e. don't use m_plot, m_text).

if ~exist('cart') cart=0; end;

if cart
  plotcom='plot';
  textcom='text';
else
  plotcom='m_plot';
  textcom='m_text';
end;

%geofile=input('Geometry file name? ','s');
%eval(geofile);
geo;

Lon=[];Lat=[];
for i=1:size(geometry,2);
  eval(['load ',sectfiles(i,:),' lon lat']);
  Lon=[Lon;lon'];Lat=[Lat;lat'];
  q=find(Lon<-180);Lon(q)=Lon(q)+360;
  q=find(Lon>180);Lon(q)=Lon(q)-360;
end;

hld=ishold;
if ~hld clf; end;
minlon=min([-100 min(Lon)-10]);

hold on;
for i=1:size(geometry,2);	% loop through sections
  eval(['load ',sectfiles(i,:),' lon lat']);

  % detect sections wrapping around dateline
  q=find(abs(diff(lon))>180);
  while(length(q))
    lon=[lon(1:q(1)),NaN,lon(q(1)+1:length(lon))];
    lat=[lat(1:q(1)),NaN,lat(q(1)+1:length(lat))];
    q=find(abs(diff(lon))>180);
  end;
  if length(lon) 
     eval([plotcom,'(lon,lat,''k'')']); 
  end;
end;

if (~hld) hold off; end;

clear hld lon lat mlon mlat name q;

