% ploteqnflux.m
%
% Plot the output of gauss.m for box "boxnum".
%
% A*x: black dots
% n: red line
% b: blue line
%
% The offset symbols are the vertically-integrated
% values.  Red shading gives the a priori std. error.

clf;

for propnum=1:nproperties;
  
  ax=Ax(indb(:,propnum,boxnum),:);
  ax=sum(ax,2)/fluxdivfact(propnum);
  nn=n(indb(:,propnum,boxnum))/fluxdivfact(propnum);
  bb=b(indb(:,propnum,boxnum))/fluxdivfact(propnum);
  rnn=sqrt(diag(Rnn(indb(1:nlayers,propnum,boxnum), ...
        indb(1:nlayers,propnum,boxnum))))/fluxdivfact(propnum);

  subplot(1,nproperties,propnum);
  plot(bb(1:nlayers),-layers,'b');
  hold on;
  patch([rnn;-flipud(rnn)],[-(1:length(glayers))'; ...
        (-length(glayers):-1)'],[1 .5 .4], ...
        'edgecolor','none');
  layerplot(bb(1:nlayers),'b');
  plot(bb(nlayers+1),-length(glayers)/2,'ob');
  plot(ax(indb(1:nlayers)),-layers,'.k');
  plot(ax(indb(nlayers+1)),-length(glayers)/2,'+k');
  plot(nn(indb(1:nlayers)),-layers,'r');
  plot(nn(indb(nlayers+1)),-length(glayers)/2,'or');
  hold off;
  xlabel(fluxunits(propnum,:));
  title(propnames(propnum,:));
  maxval=max([max(abs(bb)) max(abs(ax)) max(abs(nn))]);
  set(gca,'xlim',[-maxval maxval]);
 
end;
