% plotformation.m
%
% plot the terms in the formation equation
% for box "boxnum".

propnum=1;

pfluxref=sum(Ax(indb(1:nlayers,propnum,boxnum),indv),2) ...
        /fluxdivfact(propnum);
pfluxref(:,2)=sqrt(sum( ...
        Aerx(indb(1:nlayers,propnum,boxnum),indv).^2,2)) ...
        /fluxdivfact(propnum);
pfluxrel=-sum(D(indb(1:nlayers,propnum,boxnum),indv),2) ...
        /fluxdivfact(propnum);
pfluxek=sum(EkmanE(1:nlayers,propnum,boxnum,:),4) ...
        /fluxdivfact(propnum);
Aek=flipud(cumsum(flipud(EkmanI(:,propnum,boxnum))));

Aek=[Aek;0]/fluxdivfact(propnum);
q=find(pfluxref(:,1)+pfluxrel+pfluxek==0);
Psi=flipud(cumsum(flipud(pfluxref(:,1)+pfluxrel+pfluxek)));
Psi(q)=NaN;
Psi=[Psi;0];

% calculate cumulative error in Psi
cumerror=NaN*ones(size(pfluxref(:,2)));
for i=nlayers:-1:1;
  h=A(indb(i:nlayers,propnum,boxnum),indv(:))';
  cumerror(i)=sqrt(  sum(sum(h'* ...
	Pxx(indv(:),indv(:)) *h))  );
end;
Psi(:,2)=fillnans(interp1(glayers,cumerror, ...
	gamma2,'linear'),0)/fluxdivfact(propnum);

F=Fdens(:,boxnum)+Fdenscorr(:,boxnum);
F(:,2)=eFdenscorr(:,boxnum);
F=F/fluxdivfact(propnum);
%q=find(Fdens(:,boxnum)==0);F(q)=NaN;

%pfluxdia=sum(Ax(indb(1:nlayers,propnum,boxnum), ...
        %indw(:,propnum,boxnum)),2)/fluxdivfact(propnum);
%pfluxdia(:,2)=sum(Aerx(indb(1:nlayers,propnum,boxnum), ...
        %indw(:,propnum,boxnum)),2)/fluxdivfact(propnum);

clear drD;
drD(:,1)=x(indw(:,propnum,boxnum)).* ...
	fillnans(meanprop(:,propnum,boxnum),0).* ...
	level_area_nonans(:,boxnum);

drDek=F(:,1)-Aek;
q=find(isnan(drDek));drDek(q)=0;

% calculate error on wA (=drD)
%	cumerror = erx(indw(:,propnum,boxnum)).*meanprop()
cumerror=NaN*ones(nlayers-1,1);
for i=nlayers-1:-1:1;
  h=A(indb(i,propnum,boxnum), ...
	indw(i,propnum,boxnum))';
  cumerror(i)=sqrt(  sum(sum(h'* ...
        Pxx(indw(i,propnum,boxnum), ...
	indw(i,propnum,boxnum)) *h))  );
end;
drD(:,2)=cumerror;
drD=[[NaN NaN];drD;[NaN NaN]]/fluxdivfact(propnum);

Fplot=F;
uncorrF=Fdens(:,boxnum)/fluxdivfact(1);
drDplot=drD;

% NaN-out fluxes where layers don't exist
if (0)
q=find(isnan(meanprop(:,1,boxnum)));
if (length(q)>1)
    if (q(1)==1)
        q=1:q(find(diff(q)>1));
        q=[1,q+1,last(q)+2];	% glev to gamma2 grid
        Fplot(q,:)=NaN;uncorrF(q,:)=NaN;
        drDplot(q,:)=NaN;Psi(q,:)=NaN;
    end;
end;
end;

plot(gamma2,Fplot(:,1),'r')
hold on;
qq=find(isfinite(sum(Psi,2)));
patch([gamma2(qq);flipud(gamma2(qq))],[-Psi(qq,1)+Psi(qq,2); ...
        flipud(-Psi(qq,1)-Psi(qq,2))],[.8 .8 1], ...
        'edgecolor','none');
qq=find(isfinite(sum(Fplot,2)));
patch([gamma2(qq);flipud(gamma2(qq))], ...
        [Fplot(qq,1)+Fplot(qq,2); ...
        flipud(Fplot(qq,1)-Fplot(qq,2))],[1 .7 .7], ...
        'edgecolor','none');
qq=find(isfinite(sum(drDplot,2)));
patch([gamma2(qq);flipud(gamma2(qq))], ...
	-[drDplot(qq,1)+drDplot(qq,2) ; ...
	flipud(drDplot(qq,1)-drDplot(qq,2) )],[.7 .7 .7], ...
	'edgecolor','none');
line([min(gamma2) max(gamma2)],[0 0],'color',[.5 .5 .5]);
plot(gamma2,Fplot(:,1),'r', ...
	gamma2,uncorrF,'--r', ...
	gamma2,-(drDplot(:,1)),'k',gamma2,-Psi(:,1),'b')
hold off;
set(gca,'xlim',[min(glevels) max(glevels)]);
xlabel('\gamma^n','fontsize',10);
ylabel('Sv','fontsize',10);


