
% plotlayernum.m
%
% plot the 2D field of layer numbers,
% with surf_press superimposed, from
% the prepctd output.

clf;

maxz=nansum(bin_sal')';
q=find(isfinite(maxz));
maxz=max(bin_press(q))+100;
if (maxz>2000);
  ytiks=-500*round(maxz/500):500:0;
else
  ytiks=-250*round(maxz/250):250:0;
end;
ylabs=num2str(abs(ytiks'));

if ((max(lon)-min(lon))>=(max(lat)-min(lat)))
  horvar=lon;
else
  horvar=lat;
end;
xtiks=1:round(length(horvar)/10):length(horvar);
xlabs=num2str(abs(round(10*horvar(xtiks)')/10));
if (last(horvar)>horvar(1))
  indx=1:length(horvar);
else
  indx=length(horvar):-1:1;
end;

Ln=laynumfield(surf_press,bin_press,bottom);

Ln=5*floor((Ln-1)/5)+5/2;
contourfill(indx,-bin_press,Ln,0:5:(size(surf_press,1)+1));
hold on;
plot(indx,-surf_press,'k');
plot(indx,-bottom,'k','linewidth',2);
hold off;
axis([min(indx) max(indx) -maxz 0]);
set(gca,'xtick',xtiks,'xticklabel',xlabs, ...
        'ytick',ytiks,'yticklabel',ylabs,'fontsize',6);
colormap(bone);
