function plotsection_ts(sectnum,includecircs);

% function plotsection_ts(sectnum,includecircs);
%
% Plot the T-S relationship of a section
% (listed in geo.m) which has been 
% prepared via Dobox: show the layer mean
% Theta_0 vs. layer-mean S.

tablevalues=1;	% print table of values

if (~exist('includecircs'))
  includecircs=1;
end;

glev;	% load glayers
geo;	% load directory name
sectfiles=sectfiles(sectnum,:);
q=find(sectfiles=='.');
sectfiles(q:length(sectfiles))=[];
eval(['load ',sectfiles]);

T=LayerPair_potmp;
S=LayerPair_salam;
% replace 0 with NaN as placeholder
q=find(~T);T(q)=NaN;
q=find(~S);S(q)=NaN;

T=nanmean(T')';
S=nanmean(S')';
S=S*1000 + 35;	% convert to PSU

% mean layer pressure
p=nanmean(Layer_press')';
p=p(1:length(p)-1)+diff(p)/2;
plot_ts(S,T,p,'b');

if (tablevalues)
  for i=1:length(glayers);
    fprintf('%d &\t%5.2f &\t%5.2f &\t%5.0f\n',i,T(i),S(i),p(i));
  end;
end;

if (includecircs)

  % superimpose circles, one for each layer,
  % with relative size determined by layer
  % area divided by total section area
  % (nonlinear weighting)

  area=sum(Area_mass')'; 
  area=area/sum(area);
  area=area/max(area);
  area=area.^(.75);
  hold on;
  for i=1:length(area);
    if (area(i))
      plot(S(i),T(i),'ob','markersize', ...
	round(30*area(i))+1 );
      text(S(i),T(i),num2str(i),'fontsize', ...
	round(12*area(i))+6, ...
	'horizontalalignment','center');
    end;
  end;
  hold off;
end;	% superimpose circles

title(sectfiles)
