% refvels.m
%
% Define a reference velocity for all station
% pairs in a section.  For example, start with
% a ref velocity of 26 cm/s in the Florida Straits
% (a05fs).  This is used by DOBOX during step 3.
%

geo;
% loop through sections;
for i=1:size(geometry,2);

  sectname=sectfiles(i,:);
  eval(['load ',sectname,' lon']);
  RV=rv(i)*ones(length(lon)-1,1)';
  Vmag=vmag(i)*ones(length(lon)-1,1)';
  q=find(sectname=='/');
  sectname(1:last(q))=[];
  q=find(sectname=='.');
  sectname=sectname(1:q-1);
  rvfilename=['refvel_',sectname];
  eval(['save ',rvfilename,' RV Vmag']);

end;

% now run "uniquerefvels.m" for sections with
% particular BT structure in the initial guess.
% Note: the file "uniquerefvels.m" in this 
% directory is a blank m-file.  Thus, if the
% box directory doesn't have its own uniquerefvels.m,
% the files saved above won't be altered.

% uniquerefvels


