function remap(size);

% remap.m
%
% set up axes with appropriate aspect ratio and
% labels.
%
% Rick Lumpkin, 3 December 1998

if (size==1)
  minlat=30; maxlat=60; minlon=-35; maxlon=0;
  mapax(10,0,10,0,1);
elseif (size==2)
  minlat=30; maxlat=60; minlon=-45; maxlon=0;
  mapax(10,0,10,0,1);
elseif (size==2.5)
  minlat=30; maxlat=70; minlon=-60; maxlon=0;
  mapax(10,0,10,0,1);
elseif (size==3)
  minlat=15; maxlat=70; minlon=-90; maxlon=0;
  mapax(15,0,15,0,1);
elseif (size==3.25)
  minlat=0; maxlat=75; minlon=-100; maxlon=0;
  mapax(15,0,15,0,1);
elseif (size==3.5)
  minlat=-10; maxlat=70; minlon=-90; maxlon=0;
  mapax(15,0,15,0,1);
elseif (size==4);
  minlat=-20; maxlat=80; minlon=-100; maxlon=0;
  mapax(15,0,15,0,1);
elseif (size==4.5);
  minlat=-20; maxlat=80; minlon=-100; maxlon=30;
  mapax(15,0,15,0,1);
elseif (size==5);
  minlat=-80; maxlat=80; minlon=-100; maxlon=30;
  mapax(30,0,30,0,1);
else
  minlat=-80; maxlat=80; minlon=-180; maxlon=180;
  mapax(60,0,30,0,1);
end;

axis([minlon maxlon minlat maxlat]);

londist=sw_dist([(minlat+maxlat)/2 (minlat+maxlat)/2], ...
        [minlon maxlon],'km');
latdist=sw_dist([minlat maxlat], ...
        [(minlon+maxlon)/2 (minlon+maxlon)/2],'km');
set(gca,'dataaspectratio', ...
        [latdist*(maxlon-minlon)  ...
	londist*(maxlat-minlat) 1]);
