% truncatecoads.m
%
% truncate the COADS or NCEP air-sea fields by dropping
% the values of lonvec, latvec, sst, etc. corresponding
% to vector q.  All fields are loaded by loadcoadsyear.m
% or loadncepyear.m

landmask=NaN*ones(length(lat_coads),length(lon_coads));
landmask(index)=mean(sst,1);
landmask=isnan(landmask);
lonvec(q)=[];latvec(q)=[];
eminusp(:,q)=[];
netheat(:,q)=[];
sst(:,q)=[];
sss(:,q)=[];
taux(:,q)=[];
tauy(:,q)=[];
q=find(lon_coads<min(lonvec) | lon_coads>max(lonvec));
lon_coads(q)=[];
landmask(:,q)=[];
q=find(lat_coads<min(latvec) | lat_coads>max(latvec));
landmask(q,:)=[];
lat_coads(q)=[];
index=NaN*ones(length(latvec),2);
for n=1:length(lat_coads);
  q=find(latvec==lat_coads(n));
  index(q,1)=n;
end;
for n=1:length(lon_coads);
  q=find(lonvec==lon_coads(n));
  index(q,2)=n;
end;
%rindex=index';
index=(index(:,2)-1)*max(index(:,1)) + index(:,1);
index=index';
Latmat=lat_coads*ones(1,length(lon_coads));
Lonmat=ones(length(lat_coads),1)*lon_coads';

